package org.xbib.io.webdav.client.methods;

import java.net.http.HttpResponse;

/**
 * Represents an HTTP MKCOL request.
 *
 * @see <a href="http://webdav.org/specs/rfc4918.html#rfc.section.9.3">RFC 4918, Section 9.3</a>
 */
public class Mkcol extends AbstractMethod {

    @Override
    public String method() {
        return "MKCOL";
    }

    @Override
    public boolean succeeded(HttpResponse<?> response) {
        return response.statusCode() == 201;
    }
}
